Debian Bug report logs - #612710
pm-utils: split package to avoid conflicts

version graph

Package: pm-utils; Maintainer for pm-utils is Tim Dijkstra <tim@famdijkstra.org>; Source for pm-utils is src:pm-utils.

Reported by: Ritesh Raj Sarraf <rrs@debian.org>

Date: Thu, 10 Feb 2011 06:45:04 UTC

Severity: wishlist

Tags: wontfix

Merged with 614861

Found in version pm-utils/1.4.1-6

Fixed in version pm-utils/1.4.1-7

Done: Martin Pitt <mpitt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rrs@debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#612710; Package pm-utils. (Thu, 10 Feb 2011 06:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ritesh Raj Sarraf <rrs@debian.org>:
New Bug report received and forwarded. Copy sent to rrs@debian.org, Tim Dijkstra <tim@famdijkstra.org>. (Thu, 10 Feb 2011 06:45:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pm-utils: split package to avoid conflicts
Date: Thu, 10 Feb 2011 12:13:10 +0530
Package: pm-utils
Version: 1.4.1-6
Severity: normal

pm-utils is important for suspend/resume functionality. For other power
savings work it has new modules like laptop-mode-tools does. It would be
good if pm-utils could be split into pm-utils-core and pm-utils-modules.
This would give users the choice to choose a different power savings
tool, like laptop-mode-tools, if they prefer.

Making it conflict does not look the best approach.


Ritesh


-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pm-utils depends on:
ii  kbd                           1.15.2-2   Linux console font and keytable ut
ii  powermgmt-base                1.31       Common utils and configs for power

Versions of packages pm-utils recommends:
ii  procps                        1:3.2.8-10 /proc file system utilities
pn  radeontool                    <none>     (no description available)
ii  vbetool                       1.1-2      run real-mode video BIOS code to a

Versions of packages pm-utils suggests:
ii  cpufrequtils                  007-1      utilities to deal with the cpufreq

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#612710; Package pm-utils. (Thu, 10 Feb 2011 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. (Thu, 10 Feb 2011 07:57:04 GMT) Full text and rfc822 format available.

Message #10 received at 612710@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Ritesh Raj Sarraf <rrs@debian.org>, 612710@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#612710: pm-utils: split package to avoid conflicts
Date: Thu, 10 Feb 2011 08:54:51 +0100
[Message part 1 (text/plain, inline)]
severity 612710 wishlist
tags 612710 wontfix
thanks


Hi Ritesh

On 10.02.2011 07:43, Ritesh Raj Sarraf wrote:
> Package: pm-utils
> Version: 1.4.1-6
> Severity: normal
> 
> pm-utils is important for suspend/resume functionality. For other power
> savings work it has new modules like laptop-mode-tools does. It would be
> good if pm-utils could be split into pm-utils-core and pm-utils-modules.
> This would give users the choice to choose a different power savings
> tool, like laptop-mode-tools, if they prefer.
> 

I'm not convinced splitting the package is a good idea (thus wontfix).
I'd rather see laptop-mode-tools merged into pm-utils.

Or does laptop-mode-tools offer any compelling features which makes that impossible?

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'wishlist' from 'normal' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 10 Feb 2011 07:57:05 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 10 Feb 2011 07:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#612710; Package pm-utils. (Thu, 10 Feb 2011 20:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to rrs@debian.org:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. (Thu, 10 Feb 2011 20:42:10 GMT) Full text and rfc822 format available.

Message #19 received at 612710@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 612710@bugs.debian.org, Bart Samwel <bart@samwel.tk>
Subject: Re: Bug#612710: pm-utils: split package to avoid conflicts
Date: Fri, 11 Feb 2011 02:09:20 +0530
[Message part 1 (text/plain, inline)]
Hi Michael,

On 02/10/2011 01:24 PM, Michael Biebl wrote:
> I'm not convinced splitting the package is a good idea (thus wontfix).
> I'd rather see laptop-mode-tools merged into pm-utils.
> 
> Or does laptop-mode-tools offer any compelling features which makes that impossible?

laptop-mode-tools is well customizable. I can't figure that out with
pm-utils.

laptop-mode-tools has been around for some time. People use it. There
are users who like the way it provides the control.

By putting a Conflicts: you are just taking away the choice. Just
because they serve similar areas doesn't mean they should be merged. I'd
still urge you to split the package into core and modules.


Ritesh

-- 
Ritesh Raj Sarraf | http://people.debian.org/~rrs
Debian - The Universal Operating System

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#612710; Package pm-utils. (Wed, 23 Feb 2011 15:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Metalod <metalod@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. (Wed, 23 Feb 2011 15:33:06 GMT) Full text and rfc822 format available.

Message #24 received at 612710@bugs.debian.org (full text, mbox):

From: Metalod <metalod@gmail.com>
To: 612710@bugs.debian.org
Subject: Re: Bug#612710: pm-utils: split package to avoid conflicts
Date: Wed, 23 Feb 2011 22:31:00 +0700
Any news on this issue?

I've sticked with debian testing. Since pm-utils migrated, I could not
use LMT anymore.




Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#612710; Package pm-utils. (Sat, 26 Feb 2011 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. (Sat, 26 Feb 2011 13:48:03 GMT) Full text and rfc822 format available.

Message #29 received at 612710@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: rrs@debian.org, 612710@bugs.debian.org
Cc: Bart Samwel <bart@samwel.tk>, Martin Pitt <mpitt@debian.org>
Subject: Re: Bug#612710: pm-utils: split package to avoid conflicts
Date: Sat, 26 Feb 2011 14:45:44 +0100
[Message part 1 (text/plain, inline)]
Am 10.02.2011 21:39, schrieb Ritesh Raj Sarraf:
> Hi Michael,
> 
> On 02/10/2011 01:24 PM, Michael Biebl wrote:
>> I'm not convinced splitting the package is a good idea (thus wontfix).
>> I'd rather see laptop-mode-tools merged into pm-utils.
>>
>> Or does laptop-mode-tools offer any compelling features which makes that impossible?
> 
> laptop-mode-tools is well customizable. I can't figure that out with
> pm-utils.
> 
> laptop-mode-tools has been around for some time. People use it. There
> are users who like the way it provides the control.
> 
> By putting a Conflicts: you are just taking away the choice. Just

It's not about choice. From what I read the Conflicts was added because
laptop-mode-tools ships a pm-utils hook which basically conflicts what pm-utils
is doing nowadays and there was apparently a file conflict (although I can't
confirm that with the current packages of l-m-t and pm-utils from unstable)

I've CCed Martin who committed this patch, maybe he can provide some further input.

As I've already said I'm not keen on splitting pm-utils.
From looking at the packages as they are today, I have

pm-utils:
/usr/lib/pm-utils/power.d/laptop-mode
l-m-t:
/usr/lib/pm-utils/sleep.d/01laptop-mode
/etc/acpi/events/lm_ac_adapter
/etc/acpi/events/lm_battery
/etc/acpi/events/lm_lid


So, while I can't see the file conflict here, there is definitely a problem that
both l-m-t and pm-utils try to apply settings on AC changes, which is not good.
As l-m-t also does a lot more then just enabling laptop-mode it also conflicts
with other parts of pm-utils.

Splitting pm-utils will not help here. Because for a functional pm-utils
package, pm-utils would still have to depend on pm-utils-modules, and l-m-t
wouldn't be a valid alternative. And packages like upower would also still
depend on pm-utils.

One possible way could be, that l-m-t completely disables itself, as soon as
pm-utils is installed, so it doesn't interfere with it.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#612710; Package pm-utils. (Mon, 28 Feb 2011 21:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Szczepanik <piter75@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. (Mon, 28 Feb 2011 21:42:06 GMT) Full text and rfc822 format available.

Message #34 received at 612710@bugs.debian.org (full text, mbox):

From: Piotr Szczepanik <piter75@gmail.com>
To: 612710@bugs.debian.org
Subject: Re: Bug#612710: pm-utils: split package to avoid conflicts
Date: Mon, 28 Feb 2011 21:38:03 +0000
As I have already commented on
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=614861 the package
could be split by extracting power saving hooks ("power.d/*") into
separate package. This way people who already have pm-utils would
still get 99% of functionality of the original pm-utils package and
those who would really like to use pm-utils power.d hooks instead of
l-m-t could install the package that would conflict l-m-t.

Until recently (1.3.0-3) pm-utils shipped only one "power.d" hook
("sched-powersave") in their distribution and some people probably got
used to use l-m-t together with pm-utils because they were
complementing each other (runtime power saving in l-m-t, and
sleep/hibernate tools in pm-utils). Right now (1.4.1-6) the pm-utils
added some scripts into "power.d" and suddenly you cannot use both
packages anymore. Of course it would be nice if both projects merged
their efforts but it seems unlikely in the near future.

I think it is about the choice because right now you can have
"acpi-support" but only when you have "pm-utils" which means that you
cannot have "laptop-mode-tools". Or you can have "laptop-mode-tools"
but without "acpi-support" which is also laptop oriented and it is
nice to have them both.

Splitting out the power saving hooks seems like the best solution to
me but of course I may be wrong.
What do you think about it?

-- 
Best regards,
Piotr Szczepanik




Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#612710; Package pm-utils. (Mon, 28 Feb 2011 22:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. (Mon, 28 Feb 2011 22:00:03 GMT) Full text and rfc822 format available.

Message #39 received at 612710@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Piotr Szczepanik <piter75@gmail.com>, 612710@bugs.debian.org
Subject: Re: Bug#612710: pm-utils: split package to avoid conflicts
Date: Mon, 28 Feb 2011 22:57:17 +0100
[Message part 1 (text/plain, inline)]
Am 28.02.2011 22:38, schrieb Piotr Szczepanik:

> Splitting out the power saving hooks seems like the best solution to
> me but of course I may be wrong.
> What do you think about it?

Have you actually read what I wrote in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=612710#29


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#612710; Package pm-utils. (Mon, 28 Feb 2011 23:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Szczepanik <piter75@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. (Mon, 28 Feb 2011 23:15:05 GMT) Full text and rfc822 format available.

Message #44 received at 612710@bugs.debian.org (full text, mbox):

From: Piotr Szczepanik <piter75@gmail.com>
To: Michael Biebl <biebl@debian.org>
Cc: 612710@bugs.debian.org
Subject: Re: Bug#612710: pm-utils: split package to avoid conflicts
Date: Mon, 28 Feb 2011 23:12:41 +0000
On Mon, Feb 28, 2011 at 9:57 PM, Michael Biebl <biebl@debian.org> wrote:
> Have you actually read what I wrote in
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=612710#29

Yes I have. I don't know which part of the comment you suppose I have
not read carefully enough but I guess it's the one about splitting the
package. But if you have read my comment you would have known that I
propose splitting the package in a different way than the one you have
mentioned.

Of course splitting it into pm-utils and pm-utils-modules would
require to have both packages installed to have basic functionality.
What I propose is splitting just the "power.d/*" part, so that after
splitting the package this way "pm-utils" would still retain 99% of
the functionality that "pm-utils" have currently (at 1.3.0-3) and if
one would want to have an extra of runtime power management that
person would have to install additional package. Without that package
installed pm-utils would still provide almost all of the functionality
it provided at 1.3.0-6.

You have also stated that you have contacted Martin regarding the
patch and although there is no file conflict right now there is still
a problem that the functionality overlaps. I also think that there is
a problem with it overlapping but proposed way of split would allow
99% of the former functionality of pm-utils to coexist with
laptop-mode-tools and people would have a choice of the package they
would use to control runtime power saving.

But... as I have also stated above what seems to be the best solution
to me does not have to actually be the best solution and I will not
stick to my idea stubbornly. :)


-- 
Best regards,
Piotr Szczepanik




Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#612710; Package pm-utils. (Fri, 18 Mar 2011 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to rrs@debian.org:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. (Fri, 18 Mar 2011 14:30:03 GMT) Full text and rfc822 format available.

Message #49 received at 612710@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: 612710@bugs.debian.org, Michael Biebl <biebl@debian.org>, Piotr Szczepanik <piter75@gmail.com>, 614861@bugs.debian.org
Subject: possible workaround
Date: Fri, 18 Mar 2011 19:57:48 +0530
[Message part 1 (text/plain, inline)]
For some reason, I did not receive the further comments for this bug I
filed.

Michael,

Since you are not convinced to split pm-utils, and the Conflicts is
there because lmt ships a hook to pm-utils, will you drop the Conflicts
if the lmt hook is dropped?


Ritesh

-- 
Ritesh Raj Sarraf | http://people.debian.org/~rrs
Debian - The Universal Operating System


[signature.asc (application/pgp-signature, attachment)]

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Fri, 18 Mar 2011 16:36:10 GMT) Full text and rfc822 format available.

Notification sent to Ritesh Raj Sarraf <rrs@debian.org>:
Bug acknowledged by developer. (Fri, 18 Mar 2011 16:36:11 GMT) Full text and rfc822 format available.

Message #54 received at 612710-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 612710-close@bugs.debian.org
Subject: Bug#612710: fixed in pm-utils 1.4.1-7
Date: Fri, 18 Mar 2011 16:32:46 +0000
Source: pm-utils
Source-Version: 1.4.1-7

We believe that the bug you reported is fixed in the latest version of
pm-utils, which is due to be installed in the Debian FTP archive:

pm-utils_1.4.1-7.debian.tar.gz
  to main/p/pm-utils/pm-utils_1.4.1-7.debian.tar.gz
pm-utils_1.4.1-7.dsc
  to main/p/pm-utils/pm-utils_1.4.1-7.dsc
pm-utils_1.4.1-7_all.deb
  to main/p/pm-utils/pm-utils_1.4.1-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612710@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <mpitt@debian.org> (supplier of updated pm-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 18 Mar 2011 17:25:56 +0100
Source: pm-utils
Binary: pm-utils
Architecture: source all
Version: 1.4.1-7
Distribution: unstable
Urgency: low
Maintainer: Tim Dijkstra <tim@famdijkstra.org>
Changed-By: Martin Pitt <mpitt@debian.org>
Description: 
 pm-utils   - utilities and scripts for power management
Closes: 612710
Changes: 
 pm-utils (1.4.1-7) unstable; urgency=low
 .
   * debian/control: Version the laptop-mode-tools conflicts to << 1.55, as
     from that version on the /usr/lib/pm-utils/power.d/laptop-mode was
     renamed, thus avoiding the file conflict. (Closes: #612710, LP: #638307)
Checksums-Sha1: 
 b04887b8ea836628ff6dbd49d0c0369e8dfb931f 1886 pm-utils_1.4.1-7.dsc
 ab6195606172a35d14ad031d4e4f65bb5803f41b 24969 pm-utils_1.4.1-7.debian.tar.gz
 32c1b3fa67f25c96e832211eab25beddfdcee449 128498 pm-utils_1.4.1-7_all.deb
Checksums-Sha256: 
 a9138fa4162b54584dd5301ff73a418b09f311613e0e47a8a3fc07c8ac149d2f 1886 pm-utils_1.4.1-7.dsc
 779c3af13c6c2a275fa630d8c48fc70f343f97085f815904c3aee0b98a53c5cc 24969 pm-utils_1.4.1-7.debian.tar.gz
 71d48b5ed0bee5f7a59b057e327c25ff40b1877c7ed9985463c9af9818cf2089 128498 pm-utils_1.4.1-7_all.deb
Files: 
 e9640acd04703d61840f0c1bd956c3ca 1886 admin optional pm-utils_1.4.1-7.dsc
 7b4106cedc19f58ece0e876204bb5830 24969 admin optional pm-utils_1.4.1-7.debian.tar.gz
 6e149e143f792a927d8db1a33b54af90 128498 admin optional pm-utils_1.4.1-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNg4fbAAoJEPmIJawmtHuf61wP/jzIOBtfGrOXW//VGqy6RZtt
jnj7MkW21ZBmB6NEG1FcVqNUzRNsboXVvH2I+69CDWd3HrazhLS+/NNI7cjq4XdI
W85RPK+p+iW/LoSQnKLWv/xRMkOLLtSPlg7j0hXKHCqe/B6V3UrvvTHsy50wum0d
SWdjS/50bTzK/DpesE0n+Ry9n0CGy39e+xAlwPiqqGiFmMxX3AQVxMzlnPlQPkLD
Tb9eCtdzsZAPiY4EgyP734v/TuHIKkKccHBCz+Uz6+aqvj3Bw/cWn/fM/18PFhcC
UrII6K52OX87m2TD+wCSrDVrC97jKYZovaBVwnIWbBbZDfrz4c2W3ilAHdDAY6Tl
ggtJxolhnrXn1/XzhW6H7EMw0wUafdQIbcrLyw4+qwfo6ULSWDf3vZBs0e8vguNd
qKgftpnXcSFJJAcpHYO1LrKspeGXxuG4JTjXFu0xmbpZEhXreQqVdgSS6iyX+vda
hWMPT22xFT2kA96mTwgh4xhovg8T3rGEOsC/kTOK0abE9SBwwqTyuXNm2DjJSLDv
UDJeE4Mg3WFHBfIjgzYmEwSGhkKQM0Elo9yZAGYimWekQbfsG7RrWZTKONH2suCR
8i37lOSVWt9ka016Ut98SKaN9iLA465+puEQSuAjsHi/gvX59MRVcJlu8U+ys5lM
DzgbckLV9jPkQrROk5vn
=7ckE
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#612710; Package pm-utils. (Sat, 19 Mar 2011 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Victor Lowther <victor.lowther@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. (Sat, 19 Mar 2011 15:27:03 GMT) Full text and rfc822 format available.

Message #59 received at 612710@bugs.debian.org (full text, mbox):

From: Victor Lowther <victor.lowther@gmail.com>
To: 612710@bugs.debian.org
Subject: Re: Bug#612710: pm-utils: split package to avoid conflicts
Date: Sun, 20 Feb 2011 10:06:31 -0600
Upstream maintainer here.  I added the conflicts with laptop-mode-tools
because we have our own power management hooks that integrate with and
are configurable in the same way as the rest of pm-utils, and those
hooks conflict with laptop-mode-tools when both are installed.
-- 
Victor Lowther
LPIC2 UCP RHCE 




Forcibly Merged 612710 614861. Request was from Ritesh Raj Sarraf <rrs@debian.org> to control@bugs.debian.org. (Mon, 21 Mar 2011 07:57:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 07:41:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:43:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.